<?PHP
header('Content-Type: text/html; charset=utf-8');
session_start();
echo '<!DOCTYPE html>';
echo '<html lang="de">';
echo '<head>';
echo '  <meta content="text/html; charset=UTF-8" http-equiv="content-type">';
echo '  <meta name="description" content="Erzeugung PDW">';
echo '  <meta name="keywords" content=  "Jesus, Christus, Gott, Fragen, Bibel, Predigt, Wort, Ermutigung, Bibelarbeit, Hauskreis, Gemeinde, Kirche, Ausarbeitung, Bibelarbeit">';
echo '  <meta name="author" content="Robert Zobel">';
echo '  <meta name="DC.Publisher" content="Robert Zobel, robert.zobel@predige-das-wort.de">';
echo '  <meta name="DC.Date" content="2021-09-12">';
echo '  <meta name="DC.Language" content="de">';
echo '  <meta name="generator" content="html Web Architect">';
echo '  <meta name="organization" content="privat">';
echo '  <title>Bibeltext</title>';
echo '  <link rel="stylesheet" type="text/css" href="CSS/PDW2.css">';
echo '  <link rel="icon" href="favicon.ico" type="image/x-icon">';
echo '  <link rel="shortcut icon" type="image/x-icon" href="favicon.ico">';
echo '  <link rel="icon" type="image/x-icon" href="favicon.ico">';
echo '</head>';

$XVerz=dirname(__FILE__);
$XDatei = basename(__FILE__);

$BR='<br />';
$ZE="\r\n";
$BZ=$BR.$ZE;

$Banf="%";
$Bend="#";

echo '<body  class="GlobW AbsF">'.$ZE;

echo '<div class="NorF AbsF">'.$ZE;
echo '************************************************************************************************************************************'.$BR.$BR.$BR.$BZ;
echo '<h1>Bibel in den Text</h1>'.$BR.$BR.$BR.$BZ;

echo mb_internal_encoding().$BZ;
set_time_limit(36000);
ini_set('memory_limit', '2000M');
echo "Maximale Rechenzeit: ".ini_get('max_execution_time').$BZ;
echo "Speichervolumen: ".ini_get('memory_limit').$BZ;

$loc_de = setlocale(LC_ALL, 'de_DE@euro', 'de_DE', 'deu_deu');
echo "Lokale Basis: '$loc_de'".$BZ;

$ZZ1=time(); $ZZ1MT=microtime(true);
$Zeit1="Uhrzeit zu Beginn der Verarbeitung ".utf8_encode(strftime('%A, %d.%B.%Y %H:%M:%S', $ZZ1));
echo $Zeit1.$BZ;

include "Ziel.php";
include "BWBTFunkt.inc.php";
include "BWAllgFunkt.inc.php";
include "BWHilfsFunkt.inc.php";

$Fehlertext=array(); $jFehler=0; $Fehlertext[$jFehler]=0;

echo "Datei=".$XDatei.$BZ;
echo "Verzeichnis =".$XVerz.$BR.$BR.$BZ;

$Allg=array();
$Allg["Sprache"]="deutsch";
$Allg["BibUeLiVs"]="schl";
$Allg["ZE"]=$ZE;
$Allg["BR"]=$BR;
$Allg["BZ"]=$BZ;
$Allg["Banf"]=$Banf;
$Allg["Bend"]=$Bend;
$Allg["DBVerz"]=$DBVerz; //echo $DBVerz."<br />";
$Allg["DBName"]=$DBName; //echo $DBVerz."<br />";
$Allg["WSArt"][0]="Keine";
$Allg["DVerz"]["Keine"]=$XVerz;
LeseJSN($Allg, $XVerz.'\\'."Bibel".'\\');
$con="";
$Allg["DBMS-Tor"]=$con; //echo $DBVerz."<br />";

//EchoFeld($Allg["schl"]["I"]["13o"]);
	
//echo "BI 102 Buchnamen".$BR; EchoFeld($Allg["Buchnamen"]);
//echo "BI 102 Buchnamene".$BR; EchoFeld($Allg["Buchnamene"]);

// =========================================
// =========================================
// ===   Suche von Default-Werten   ========
// =========================================
// =========================================
$Einlesen="Bibeltext.ini"; $BWINI=array();
$f=@fopen($Einlesen,"rb");
if($f===false) {echo "BT 88 Datei ".$Einlesen." konnte nicht geöffnet werden.";}
else
{
	rewind($f); $i=1;
	while (!feof($f))
	{
		$Zeile=fgets($f, 1000);
		if ($Zeile=="") {continue;}
//		echo ">>> ".$Zeile.$BZ;
		if ($i==1)
		{
			echo "Einlesen der Datei ".$Einlesen.$BZ;
			echo $Zeile.$BZ;
		}
		else
		{
			$p=strpos($Zeile, "=");
			if ($p===false) {echo $BR."Fehler auf Zeile $i von $Einlesen".$BR.$Zeile.$BR.$BZ;}
			else
			{
				$par=substr($Zeile, 0, $p); $w=trim(substr($Zeile, $p+1));
				$BWINI[$par]=$w;
				echo "Parameter $par = ".$w.$BZ;
			}
		}
		$i++;
	}
	fclose($f); 
}

foreach ($BWINI as $p => $w) {$$p=$w;}
if (isset($Anzeige))
{
	if ($Anzeige=="JA") {$Anzeige=true;}
	else {$Anzeige=false;}
}

// =========================================
// =========================================
// ===   Abfrage $_POST   ==================
// =========================================
// =========================================
if (isset($_POST["VAkt"])) {$VAkt=true;} else {$VAkt=false;};
if (isset($_POST["Berechne"])) {$Berechne=true;} else {$Berechne=false;};
if (isset($_POST["HTM"])) {$HTM=true;} else {$HTM=false;};
if (!$VAkt) {if (isset($Anzeige)) $HTM=$Anzeige; unset($Anzeige);}
if (isset($_POST["BV"])) {$BV=$_POST["BV"];} else {$BV=false;};
//echo "BI 90 BV=".TF($BV).$BZ;
if (isset($_POST["SelFD"])) {$SelFD=$_POST["SelFD"];} else {$SelFD=false;};
if (isset($_POST["SelFF"])) {$SelFF=$_POST["SelFF"];} else {$SelFF=false;};
if (isset($_POST["LW"])) {$LW=strtolower($_POST["LW"]);};
if (isset($_POST["VAktHo"])) {$VAktHo=true;} else {$VAktHo=false;}
if (isset($_POST["VAkt01"])) {$VAkt01=true;} else {$VAkt01=false;}
if (isset($_POST["ZV"])) {$ZV=$_POST["ZV"];} else {$ZV="Ziel";}
//echo "BI 157 AVerz=$AVerz SelFD=$SelFD SelFF=$SelFF LW=".$LW.$BZ;
if ($VAktHo)
{
	if (isset($AVerz)) $AVerz=dirname($AVerz);
	$VAkt=true;
}

// =========================================
// =========================================
// ===   Dateiliste zu AVerz   =============
// =========================================
// =========================================
if (!isset($AVerz)) $AVerz=$XVerz;
if ($SelFF===false) {$Berechnung=false;}
if ($SelFD!==false)
{
	$AVerzA=$AVerz;
	if ($SelFD=="..") {$AVerz=dirname($AVerz);}
	else {$AVerz=$AVerz."\\".$SelFD;}
	if (!is_dir($AVerz)) $AVerz=$AVerzA;
	echo "BI 146 AVerz=".$AVerz.$BZ;
}
$Allg["DVerz"]["Keine"]=$AVerz;
$ALW=strtolower(substr($AVerz, 0, 1));
if (isset($LW)) {if ($ALW==$LW) {$LWio=true;} else {$LWio=false;};}
else {$LW=$ALW; $LWio=true;}
if (!$LWio) {$AVerz=$LW.':\\'; $VAkt=true; $Berechne=false;}

$FD=array();	//Verzeichnis der Unterverzeichnisse von AVerz
$FF0=array();	//Dateien *.htm aus AVerz
$FF1=array();	//Dateien *.* aus AVerz
$Hoch=false;
if ($VAkt01) {$AVerz=$AVerz."\\".$EinzigesUVerz; $VAkt=true; unset($EinzigesUVerz);}
if (is_dir($AVerz))
{
	$F=scandir($AVerz); 
	$FD=array();	//Verzeichnis der Unterverzeichnisse von AVerz
	$FF0=array();	//Dateien *.htm aus AVerz
	$FF1=array();	//Dateien *.* aus AVerz
	foreach ($F as $i => $d) 
	{
		if (is_dir($AVerz."/".$d)) 
		{
			if ($d=="..") {$Hoch=true;}
			else
			{
				if (($d!=".") && (substr($d, 0, 1)!="#") && (substr($d, 0, 1)!="$"))
					$FD[]=$F[$i];
			}
		}
		else 
		{
			$t=pathinfo($d, PATHINFO_EXTENSION);
			$tl=strtolower($t);
			if ($tl=="htm" || $tl=="html") $FF0[]=$F[$i];
			$FF1[]=$F[$i];
		}
	};
}

// =========================================
// =========================================
// ===   F O R M   =========================
// =========================================
// =========================================
echo '<form action="'.$XDatei.'" method="post">'.$ZE;

// =========================================
// === Bibelversionen ======================
// =========================================

if ($BV!==false) {$AVs=$BV;} 
else {if (isset($AVersion)) {$AVs=$AVersion;} else {$AVs="schl";};}
$AVersion=$AVs;

$n=count($Allg["VersionenLi"]);
echo "<h3>Verfügbare Bibelversionen:</h3>".$ZE;
$abk=array("s", "lu", "el", "lxx", "ti", "wh", "tr", "lm", "lo", "v", "as", "ki", "ch", "ar");
echo "<p>".$ZE;
foreach($Allg["VersionenLi"] as $i => $bvl)
{
	echo $abk[$i]." - ".$bvl." - "
				.$Allg["VersionenUe"][$bvl]["versiond"]."<br />".$ZE;
}	
echo "</p>".$ZE;

// =========================================
// === Auswahl der Datei ===================
// =========================================
// Die Unterverzeichnisse
echo '<div style="float:left;width:45%;padding-right:5%;">'.$ZE;
$n=count($FD);
if ($n>1)
{
	echo '<input type="text" name="LW" size="1" maxlength="1" value="'.$LW.'" />'
				.'<span style="margin-left:10px;">Laufwerksbuchstabe</span>'.$BZ;
	echo '<b>'.$AVerz.'</b>'.$BZ;
	echo '<b>ist das Arbeitsverzeichnis</b>'.$BZ;
	echo '<b>mit den Unterverzeichnissen:</b>'.$BZ;
	if ($Hoch)
	{
		echo '<input type="submit" name="VAktHo" value="'
				.chr(194).chr(160).chr(194).chr(160).chr(226).chr(135).chr(145)
				.chr(194).chr(160).chr(194).chr(160).'" />'.$ZE;
	}
	echo '<select name="SelFD" size="'.$n.'" style="width:250px">'.$ZE;
	foreach($FD as $d)
	{
		echo '<option  value="'.$d.'">'.$d.'</option>'.$ZE;
	};
	echo '</select>'.$BR.$BZ;
	$EinzigesUVerz=false;
	echo '<p style="margin-top:0px;">'.$ZE;
}
elseif ($n==1)
{
	echo '<input type="text" name="LW" size="1" maxlength="1" value="'.$LW.'" />'
				.'<span style="margin-left:10px;">Laufwerksbuchstabe</span>'.$BZ;
	echo '<b>'.$AVerz.'</b>'.$BZ;
	echo '<b>ist das Arbeitsverzeichnis</b>'.$BZ;
	echo '<b>mit einem Unterverzeichnis:</b>'.$BZ;
	$EinzigesUVerz=$FD[0];
	if ($Hoch)
	{
		echo '<input type="submit" name="VAktHo" value="'
				.chr(194).chr(160).chr(194).chr(160).chr(226).chr(135).chr(145)
				.chr(194).chr(160).chr(194).chr(160).'"'
				.' style="margin-top:-10px;" />'.$ZE;
	}
	echo '<input type="submit" name="VAkt01" value="'.$FD[0].'"'
			.' style="margin-left:0px;width:250px;" /><br />'.$ZE;
	echo '<p style="margin-top:10px;">'.$ZE;
}
elseif ($n==0)
{
	echo '<input type="text" name="LW" size="1" maxlength="1" value="'.$LW.'" />'
				.'<span style="margin-left:10px;">Laufwerksbuchstabe</span>'.$BZ;
	echo '<b>'.$AVerz.'</b>'.$BZ;
	echo '<b>ist das Arbeitsverzeichnis</b>'.$BZ;
	echo '<b>ohne Unterverzeichnis</b>'.$BZ;
	if ($Hoch)
	{
		echo '<input type="submit" name="VAktHo" value="'
				.chr(194).chr(160).chr(194).chr(160).chr(226).chr(135).chr(145)
				.chr(194).chr(160).chr(194).chr(160).'" />'.$ZE;
	}
	echo '<br />'.$ZE;
}

if ($HTM)
{
	$v="nc"; $ch="checked";
}
else
{
	$v="c"; $ch="";
}

echo '<b>Zielverzeichnis:</b>'.$BZ;
echo '<input type="text" name="ZV" size="40" value="'.$ZV.'" />'.$BZ;
echo "Das Zielverzeichnis &#171$ZV&#187; ist Unterverzeichnis des Arbeitsverzeichnisses $AVerz.".$BZ;
echo "Falls es nicht existiert, wird es angelegt.".$BZ;
echo '<input type="checkbox" name="HTM" value="'.$v.'" '.$ch
		.'style="margin-top:20px;" />'.$ZE;
echo '<span style="margin-left:10px;">Nur Dateien vom Typ *
		.htm oder *.html anzeigen</span>'.$ZE;
echo '</p>'.$BZ;
echo '<p style="margin-top:-10px;"><input type="submit" name="VAkt" value="Aktualisierung der Dateien"  style="margin-left:0px;margin-top:-10px;width:295px;" /></p>'.$ZE;
echo '</div>'.$ZE;
//Anzeige der Dateien
echo '<div style="float:left;width:45%;">'.$ZE;
echo '<b>Dateien in '.$AVerz.'</b>'.$BZ;
if ($HTM) {echo 'Es werden nur Dateien vom Typ *.HTM'.$BZ.'angezeigt'.$BZ; $FF=$FF0;}
else {echo 'Es werden alle Dateien angezeigt'.$BZ; $FF=$FF1;}

$n=count($FF);
echo '<select name="SelFF" size="'.$n.'" style="width:250px">'.$ZE;
foreach($FF as $d)
{
	echo '<option  value="'.$d.'">'.$d.'</option>'.$ZE;
};
echo '</select>'.$BZ;

echo '<input type="submit" name="Berechne" value="Bearbeitung der Datei"  style="margin-left:0px;margin-top:20px;width:250px;" /><br />'.$ZE;
echo '</div>'.$ZE;

echo '<div style="clear:both;"></div>'.$ZE;


// =========================================
// =========================================
// ===   Die Berechnung   ==================
// =========================================
// =========================================
if (($Berechne) && ($SelFF===false))
{
	echo "<h3>Bitte zunächst eine Datei auswählen.</h3>".$ZE;
}
elseif ($Berechne)
{
	echo $BR.$BR.$BR.$BR."Berechnung".$BZ;
	$AuswDat=$AVerz."\\".$SelFF;
	$AuswDatName=$SelFF;
	$Z=array();
	echo "<h3>Ausgewertet wird ".$AuswDat."</h3>".$ZE;
	$f=@fopen($AuswDat,"rb");
	if($f===false) {echo "BT 366 Datei ".$AuswDat." konnte nicht geöffnet werden."; exit;}
	else
	{
		$INF=array();
		$Art="Keine"; $DC=$AuswDat;
		$INF[$Art][$DC]=array();
		$INF[$Art][$DC]["BStAufruf"]=0;
		$Gruppenlist=array();
		$Version="schl";
		rewind($f); $i=0;
		$IstKommentar=false;
		while (!feof($f))
		{
			$Zeile=trim(fgets($f, 1000));
			if ($Zeile=="") {continue;}
			$i++;
			$INF[$Art][$DC]["TextK"][$i]=$Zeile;
			$INF[$Art][$DC]["TextK"][0]=$i;
//			echo ">>> ".$Zeile.$BZ;
			$Zeile=ElimKom($Zeile);
			if ($IstKommentar)
			{
				$ZKp=strpos($Zeile, "###end");
				if ($ZKp===false) {continue;}
				else 
				{
					if (strlen(trim($Zeile))==($ZKp+6)) {$IstKommentar=false; continue;}
					else
					{
						$Zeile=substr($Zeile, $ZKp+6);
						$IstKommentar=false;
					};
				};
			}
			else
			{
				$ZKp=strpos($Zeile, "%#%anf");
				if ($ZKp!==false)
				{
					if ($ZKp>0)
					{
						$Zeile=substr($Zeile, 0, $ZKp);
						$IstKommentar=true;
					}
					else
					{
						$IstKommentar=true;
						continue;
					}
				};
			};
			$Zeile=ZeilenkommentarWeg($Zeile);
			if ($Zeile=="") {continue;}
//			echo "oK=".$Zeile.$BZ;
			$Z[]=$Zeile;
		}
		fclose($f);
	}
	$i=0;
	foreach($Z as $z)
	{
		if ($z=="") continue;
		$i++;
		$INF[$Art][$DC]["TextO"][$i]=$z;
		$INF[$Art][$DC]["TextO"][0]=$i;
		$INF[$Art][$DC]["Text"][$i]=$z;
		$INF[$Art][$DC]["Text"][0]=$i;
	}
	$Gruppenliste=array();
	$BefL=array("HTMef", "BFAe", "BPP", "BefZ", "BWZ", "BefZ");
//	echo "BI 431 ".count($Z)." Zeilen der HTML-Datei vorher:".BR(); EchoFeld($Z);
	for ($k=1; $k<=2; $k++)
	{
		if ($k==1) {$BefArr=array("BFAe", "BWDef");}
		elseif ($k==2) {$BefArr=array("BFAe", "BWZ", "BefZ");}
		foreach ($Z as $i => $z)
		{
			$BefPos=array(); $BefName=array();
			foreach ($BefArr as $Bef)
			{
				$w=true; $p0=0;
				while ($w)
				{
					$p=strpos($z, $Banf.$Bef,  $p0);
					if ($p===false)
					{
						$w=false;
					}
					else
					{
						$BefPos[]=$p;
						$p0=$p+1;
						$BefName[$p]=$Bef;
					}
				}
			}
			sort($BefPos);
			$BefEPos=array();
			$palt=-1; $qalt=-1; $Befalt="";
			foreach ($BefPos as $p)
			{
				$Bef=$BefName[$p];
				if ($p<$qalt)
				{
					$jFehler=$Fehlertext[0]+1;
					ZahlFunkt($Fehlertext, 
						"$jFehler >>>>Fehler>>>> Auswertung der Befehle zur Darstellung von Bibelstellen:<br />"
						."$jFehler >>>>Fehler>>>> Zeile $i: $z<br />"
						."$jFehler Der Befehl $Befalt an Position $palt<br />"
						."$jFehler besitzt kein eigenes Endesymbol $Bend vor dem Befehl $Bef.<br />"
						."$jFehler Der Befehl wird ignoriert.<br />");
					unset($BefName[$palt]);
					unset($BefEPos[$palt]);
				}
				$q=strpos($z, $Bend, $p);
				if ($q===false)
				{
					$jFehler=$Fehlertext[0]+1;
					ZahlFunkt($Fehlertext, 
						"$jFehler >>>>Fehler>>>> Auswertung der Befehle zur Darstellung von Bibelstellen:<br />"
						."$jFehler >>>>Fehler>>>> Zeile $i: $z<br />"
						."$jFehler Der Befehl $Bef an Position $p<br />"
						."$jFehler besitzt kein Endesymbol $Bend auf dem Rest der Zeile $i.<br />"
						."$jFehler Dieser Befehl und mögliche weitere dieser zeile werden ignoriert.<br />");
						break;
				}
				else
				{
					$BefEPos[$p]=$q;
					$palt=$p;
					$qalt=$q;
					$Befalt=$Bef;
				}
			}
			foreach($BefName as $p => $Bef)
			{
				$q=$BefEPos[$p];
				$Befehl[$p]=substr($z, $p, $q-$p+1);
				if ($k==1)
				{
					$Textfolge=array();
					$BefAkt=""; $Aktion="";
					BefehlAuswBW($Allg, $BefAkt, $Befehl[$p], $Textfolge, $Aktion, $INF, $Art, $DC,
											$Gruppenliste, $Version, $con, $Fehlertext);
					$BefErg[$p]=""; foreach($Textfolge as $t) $BefErg[$p].=$t;
//					echo "BT 548 p=$p BefErg=".$BefErg[$p].BR();
				}
				elseif ($k==2)
				{
					$BefErg[$p]="";
					Ersetze($Allg, $Befehl[$p], $BefErg[$p], $INF, $Art, $DC, $Gruppenliste, $NamenInf, 
									$Fehlertext, "", 0);
//					echo "BT 554 p=$p BefErg=".$BefErg[$p].BR();
				}
				$n=$INF[$Art][$DC]["BStAufruf"]; $INF[$Art][$DC]["BStAufruf"]++;
				$INF[$Art][$DC]["Befehl"][$n]["B"]=$Bef;
				$INF[$Art][$DC]["Befehl"][$n]["BG"]=$Befehl[$p];
				$INF[$Art][$DC]["Befehl"][$n]["Z"]=$i;
				$INF[$Art][$DC]["Befehl"][$n]["p"]=$p;
				$INF[$Art][$DC]["Befehl"][$n]["q"]=$q;
				$INF[$Art][$DC]["Befehl"][$n]["E"]=$BefErg[$p];
			}
			foreach(array_reverse($BefName, true) as $p => $Bef)
			{
				$q=$BefEPos[$p];
//				echo "BT 569 <br />z=".htmlentities($z)." <br /><br />";
//				echo "BT 570 p=$p q=$q<br />";
				$a=substr($z, 0, $p);
				$e=substr($z, $q+1);
				$z=$a.$BefErg[$p].$e;
//				echo "BT 572 <br />a=".htmlentities($a)." <br /><br />z=".htmlentities($z)
//								." <br /><br />e=".htmlentities($e).BR();
			}
			$Z[$i]=$z;
		}	
	}	
	$i=0;
	foreach($Z as $z)
	{
		if ($z=="") continue;
		$i++;
		$INF[$Art][$DC]["Text"][$i]=$z;
		$INF[$Art][$DC]["Text"][0]=$i;
		
	}
    if (!array_key_exists("Zusammenfassung", $INF[$Art][$DC])) $INF[$Art][$DC]["Zusammenfassung"][0]=0;
    if (!array_key_exists("Text", $INF[$Art][$DC])) $INF[$Art][$DC]["Text"][0]=0;
	$n=$INF[$Art][$DC]["Text"][0];
    PDWBibStAdr($INF[$Art][$DC]["Zusammenfassung"], $INF[$Art][$DC]["Text"], $INF, $Art, $DC, 	
				$Fehlertext);
	for ($i=1; $i<=$n; $i++)
	{
		$txto=$INF[$Art][$DC]["Text"][$i]; $txte="";
//		echo BR()."BT 557 $i o=".htmlentities($txto).BZ();
		ErsetzeTab($Allg, $txto, $txte, $INF, $Art, $DC, $Gruppenliste, $Fehlertext, $StyleVerz);
		$INF[$Art][$DC]["Text"][$i]=$txte;
//		echo "BT 560 $i e=".htmlentities($txte).BZ();
	}

	if ($INF[$Art][$DC]["Text"][0]>0)
	for ($i=1; $i<=$INF[$Art][$DC]["Text"][0]; $i++)
	{
		$t=$INF[$Art][$DC]["Text"][$i];
		echo $t.$ZE;
	}
	echo $BR.$BR.$BR.$BR;
	$ZVDir=$AVerz."\\".$ZV;
	if (is_dir($ZVDir)) {echo "Das Verzeichnis $ZVDir existiert.".BR(); $io=true;}
	else {echo "Ein Verzeichnis $ZVDir existiert nicht.".BR(); $io=false;}
	if (!$io) {$io=mkdir($ZVDir);}
	if ($io) 
	{
		echo "$ZVDir wurde neu angelegt.".BR();
		$Heraus=$AVerz."\\".$ZV."\\".$AuswDatName;
		$f=@fopen($Heraus,"w+");
		if($f===false) {echo "BT 579 Datei ".$Heraus." konnte nicht geöffnet werden.";}
		else
		{
			rewind($f);
			if ($INF[$Art][$DC]["Text"][0]>0)
			for ($i=1; $i<=$INF[$Art][$DC]["Text"][0]; $i++)
			{
				$t=$INF[$Art][$DC]["Text"][$i];
				fwrite($f, $t.$ZE);
			}
			fclose($f);
			echo "Datei ".$Heraus." wurde geschrieben.";
		}
	}
	else 
	{
		echo "$ZVDir konnte nicht angelegt werden.".BR(); 
		echo "Das Ergebnis wird nicht herausgeschrieben.".BR(); 
	}
	echo $BR.$BR.$BR.$BR;
}
else
{
	echo $BR.$BR.$BR.$BR."Es ist keine HTML-Datei zur Bearbeitung angegeben worden.".$BZ;
}	

echo '</form><br />'.$ZE;
// =========================================
// ===   E N D E   F O R M   ===============
// =========================================



// =========================================
// =========================================
// ===   Herausschreiben der Default-Werte =
// =========================================
// =========================================
$ZZ2=time(); $ZZ2MT=microtime(true);
$Zeit2="Uhrzeit nach Ende der Verarbeitung: "
			.utf8_encode(strftime('%A, %d.%B.%Y %H:%M:%S', $ZZ2));
$Zeit3="Zeitpunkt der letzten Bearbeitung: "
			.utf8_encode(strftime('%A, %d.%B.%Y %H:%M:%S', $ZZ2));
$Heraus="Bibeltext.ini"; 
$f=@fopen($Heraus,"w+");
if($f===false) 
{
	echo "BT 626 Datei ".$Heraus." konnte nicht geöffnet werden.".BZ;
	echo "Die Einstellungen sind daher nicht gesichert.".BZ;
}
else
{
	rewind($f);
	fwrite ($f, $Zeit3.$ZE);
	if (isset($AVerz)) fwrite ($f, "AVerz=".$AVerz.$ZE);
	if (isset($ADatei)) fwrite ($f, "ADatei=".$ADatei.$ZE);
	if (isset($HTM)) fwrite ($f, "Anzeige=".TF($HTM).$ZE);
	fclose($f); 
}
$Z=$ZZ2-$ZZ1; $DMT=$ZZ2MT-$ZZ1MT;
$H=intval($Z/3600);
$ZR=$Z-$H*3600;
$M=intval($ZR/60);
$S=$ZR-$M*60;
$ZZ=$ZZ2-$ZZ1;
echo "<br /><br />".$Zeit1."<br />";
echo $Zeit2."<br />";
$format=sprintf("%.3f", $DMT);
echo "Dauer: $ZZ das sind $H:$M:$S Stunden oder ".$format." Sekunden<br />";
echo '<br /><br /><br />';
echo '</div>';

?>
